> For the complete documentation index, see [llms.txt](https://api-docs.everreal.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.everreal.co/change-log/releases/enhancements-for-querying.md).

# Enhancements for Querying

* Introducing Identity for Owners and Tenants, Now you can add owners/tenants with same email unless an Identity is matched. ie, we consider `externalId_firstName_lastName_email` as an identity it should be unique. So If you need multiple tenant/owner with same email Id, make a change to the identity eg: different externalId's.
* Added abilities to do query modules with EverReal UUID for the following module and results will be returned in an array.

**Owner Query**

```graphql
input OwnersFilter {
   ... existingFilters+
   id: String
}
```

**Property Query**

```graphql
input PropertyFilter {
   ... existingFilters+
   id: String
   propertyId: String @deprecated(reason: "propertyId is deprecated. Use id instead.")
}
```

**Unit Query**

```graphql
input UnitsFilter {
   ... existingFilters+
   id: String
}
```

**PropertyGroup Query**

```graphql
input PropertyGroupFilter {
   ... existingFilters+
   id: String
}
```

**Candidate Query**

```graphql
input CandidateFilter {
   ... existingFilters+
   id: String
}
```

**Tenant Query**

```graphql
input TenantFilter {
   ... existingFilters+
   id: String
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.everreal.co/change-log/releases/enhancements-for-querying.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
